# POST

#### `POST /liquidity/execute` <a href="#post-liquidity-execute" id="post-liquidity-execute"></a>

```
const executeQuote = (id: string) => {
  const body = '{ "quote_id":' + id + '}'
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/liquidity/execute' + body
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
 const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(`https://api.zerohash.com/liquidity/execute`, options)
}
```

> Sample Response

```
{
  "request_id": "14f8ebb8-7530-4aa4-bef9-9d73d56313f3",
  "quote": {
    "request_id": "ce819fe8-b1d7-43bb-961c-e09ede0988d3",
    "participant_code": "CUST01",
    "quoted_currency": "e₹",
    "side": "BUY",
    "quantity": "1",
    "price": "11430.90",
    "quote_id": "5cd07738b861c31e3bd61467BTC1Buy1568311644602",
    "expire_ts": 1568311649602,
    "account_group": "GRP001",
    "account_label": "general",
    "obo_participant": {
        "participant_code": "20XRLH",
        "account_group": "WRD1K0",
        "account_label": "general"
     },
    "network_fee_notional": "1",
    "network_fee_quantity": "1",
    "total_notional": "2.00",
    "underlying": "BTC",
    "asset_cost_notional": "2.00"
  },
  "trade_id": "ba97133e-ab15-4c86-86c1-86671b8420bc",
  "status": "Completed",
  "ach_details": {
    "external_account_id": "5cd07738b861cuy1568311644602",
    "inbound_reference_id": "ref-id",
    "bank_fee": "1",
    "payment_amount": "10"
  }
}
```

Executes the quote identified by quote\_id. The completed trade is submitted to settlement via the `00SCXM` platform. Platforms may now use the `funding_details` sub-object to trigger Zero Hash to create an ACH transaction associated with a trade. Speak with Zero Hash support for more details.

Body parameters include:

* `quote_id` (required) the identifier of the quote to execute, which is provided in response to a `GET /liquidity/rfq` request
* `funding_details` (One of the below groupings) (Only applicable if utilizing Zero Hash's ACH Product)
  * Option 1:
    * `external_account_id` (required) UUID associated with the external bank account details that will be receiving the ACH transaction.&#x20;
    * `description` (required) ten characters string that travels with the ACH transaction describing the transaction, for example “CRYPTO TRD”.
    * `bank_fee` (required) a fee that will accounted for when generating the ACH transaction.
  * Option 2:
    * `inbound_reference_id` (required) a Platform generated string value that Zero Hash can use to reconcile inbound ACH transactions.

Response:

<table><thead><tr><th>Parameter</th><th width="524.3333333333333">Description</th><th>Type</th></tr></thead><tbody><tr><td>request_id</td><td>The identifier of the RFQ.</td><td>string</td></tr><tr><td>quote{}</td><td>The quote object that was executed.</td><td>quote</td></tr><tr><td>trade_id</td><td>The unique identifier assigned to the trade, which is the same <code>trade_id</code> as found in a <code>GET /trades</code> request<br>Note: the <code>quote_id</code> will be saved as the <code>client_trade_id</code>.</td><td>string</td></tr><tr><td>status</td><td>The status of the trade, e.g. <code>Completed</code>.</td><td>string</td></tr><tr><td>payment_amount</td><td>The final amount of the ACH transaction that will go out into the network. When executing a BUY this is the trade amount plus the <code>bank_fee</code>, for a SELL this is the trade amount minus the <code>bank_fee</code>.</td><td>string</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/liquidity/post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
